package com.muyu.quest.domain;

import lombok.*;

import java.util.Arrays;
import java.util.List;

/**
 * @Author: 胡杨
 * @Name: NodeType
 * @Description: 节点类型
 * @CreatedDate: 2024/9/1 下午10:01
 * @FilePath: com.muyu.quest.domain
 */

@Data
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class NodeType {

    /** 节点类型主键 */
    private String id;

    /** 节点类型编码 */
    private String nodeTypeCode;

    /** 节点类型名称 */
    private String nodeTypeName;

    /** 节点存储格式编码集 */
    private String nodeTypeData;

    private String nextNodeTypeCode;

    // 节点类型数量限制
    private Integer nodeMaxNum;
    private Integer nodeMinNum;

    /** 下级节点类型编码集 */
    private List<String> nextNodeTypeCodeList;

    public void setNextNodeTypeCode(String nextNodeTypeCode) {
        this.nextNodeTypeCode = nextNodeTypeCode;
        this.nextNodeTypeCodeList = Arrays.stream(nextNodeTypeCode.split(",")).toList();
    }
}
