package com.muyu.quest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.validation.custom.IsSysYesNo;
import com.muyu.common.core.web.domain.BaseEntity;
import jakarta.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 任务对象 task_source
 *
 * @Author: 胡杨
 * @date 2024-08-22
 */

@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("task_source")
public class Task extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 任务编码 */
    @Excel(name = "任务编码")
    private String taskCode;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    private String taskData;


    /** 任务类型 */
    @Excel(name = "任务类型")
    private String taskType;

    /** 启用状态 */
    @Excel(name = "启用状态")
    @IsSysYesNo
    private String state;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskCode", getTaskCode())
            .append("taskName", getTaskName())
            .append("taskType", getTaskType())
            .append("state", getState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
