package com.muyu.quest.req;

import com.muyu.common.core.validation.custom.IsSysYesNo;
import lombok.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 节点管理对象 node_source
 *
 * @Author: 胡杨
 * @date 2024-08-23
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class NodeReq{

    /** 任务编码 */
    private String taskCode;

    /** 节点名称 */
    private String nodeName;

    /** 上一级节点 */
    private String nodePreCode;

    /** 下一级节点 */
    private String nodeNextCode;

    /** 启用状态 */
    @IsSysYesNo
    private String state;

    public NodeReq buildTaskCode(String taskCode){
        this.taskCode = taskCode;
        return this;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("nodeName", getNodeName())
            .append("nodePreCode", getNodePreCode())
            .append("nodeNextCode", getNodeNextCode())
            .append("state", getState())
            .toString();
    }
}
