package com.muyu.quest.service;

import java.util.List;
import com.muyu.quest.domain.TaskExport;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 任务执行记录Service接口
 *
 * @Author: 胡杨
 * @date 2024-09-06
 */
public interface ITaskExportService extends IService<TaskExport> {
    /**
     * 精确查询任务执行记录
     *
     * @param id 任务执行记录主键
     * @return 任务执行记录
     */
    public TaskExport selectTaskExportById(Long id);

    /**
     * 查询任务执行记录列表
     *
     * @param taskExport 任务执行记录
     * @return 任务执行记录集合
     */
    public List<TaskExport> selectTaskExportList(TaskExport taskExport);

    /**
     * 判断 任务执行记录 id是否唯一
     * @param taskExport 任务执行记录
     * @return 结果
     */
    Boolean checkIdUnique(TaskExport taskExport);


    /**
     * 条件精确查询
     */
    TaskExport selectTaskExport(TaskExport taskExport);

    void updateByExportCode(TaskExport entity);
}
